SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001653SiT!outbound emailpublic2011-08-02 13:582011-08-21 11:17
Reporterdipohl 
Assigned ToTomse 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSLinuxOS Version2.6+later
Product Version3.63p1 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0001653: Broken File-Attachments
DescriptionWhen sending mail thru SiT!-Portal with attaching a file (tested with pdf and doc), the outgoing mail shows an attachment "part.001", that cannot successfully be opened with appropriate client applications (PDF-Reader, MS-Word). The client applications report "broken format" of the file.

I suppose this is an issue of failing mime encoding/decoding.

The file attached to the ticket in SiT!-Portal is ok and viewable.
Steps To ReproduceSend mail with file attached from within SiT!-Portal.
Additional InformationWebserver:
Name : apache2 Relocations: (not relocatable)
Version : 2.2.3 Vendor: SUSE LINUX Products GmbH, Nuernberg, Germany
Release : 16.29.2 Build Date: Wed Apr 14 13:29:17 2010

PHP-Modul:
Name : apache2-mod_php5 Relocations: (not relocatable)
Version : 5.2.14 Vendor: SUSE LINUX Products GmbH, Nuernberg, Germany
Release : 0.14.1 Build Date: Thu Mar 10 15:52:07 2011
TagsNo tags attached.
Attached Fileslog file icon sit-debug.log [^] (1,292 bytes) 2011-08-14 11:13
txt file icon sourcecode-mail.txt [^] (1,443 bytes) 2011-08-14 11:13 [Show Content]

- Relationships

-  Notes
User avatar (0004139)
ivan (administrator)
2011-08-06 11:21

I've tried to reproduce this but am unable.
User avatar (0004222)
paulh (administrator)
2011-08-13 19:35

I've tried to reproduce this as well and unable to, I don;t quite understand what you mean via the SiT portal as you can't mail though the portal I'm assuming you mean through the normal sit interface as an engineer
User avatar (0004225)
dipohl (developer)
2011-08-14 11:06

Hi Paul, thanks for the follow-up!

Your assumption is right, I meant the "engineers sit interface".

Concerning the reported error: It seems that to manifest / appearing the error there is the involvement of both players needed:

1. SiT! inserts CRLF although only "LF" is configured (I will attach a protocol from SiT! debug log)

2. Groupwise MTA then inserts (translation rule?) two Linefeeds, which leads to the recognation errors in Mailclients. (I will attach an example from mails sourcecode)

These are insights or assumptions got in a session with Ivan logged in IRC (http://sitracker.org/irc/logs/%23sit.2011-08-09.log.html [^]) followed by some experiments today.

I will try to test the PHP mime mail function in a simple test (outside of SiT!) to open a ticket for our Groupwise mail admin in the office.

The question left concerning SiT! is: How / which way are the "^M" inserted in the mails body?
User avatar (0004226)
paulh (administrator)
2011-08-14 11:24

Thanks Dipohl,

I've had reports before regarding the line endings and GroupWise though never the attachment issue, I'll tweak my lab so it routes via my GroupWise system and see what happens
User avatar (0004227)
dipohl (developer)
2011-08-14 11:42

Bug fixed by following code change in /lib/mime.inc.php

 diff -u mime.inc.php mime.inc.php.mine
--- mime.inc.php 2011-07-17 15:01:26.000000000 +0200
+++ mime.inc.php.mine 2011-08-14 12:39:50.363028802 +0200
@@ -112,7 +112,7 @@
             $this->errstr = "fopen() failed";
             return 0; //failed
         }
- $contenttype .= ";\r\n\tname=".basename($path);
+ $contenttype .= ";".CRLF."\tname=".basename($path);
         $data = fread($fp, filesize($path));
         return $this->attach($data,
                 $description,
User avatar (0004228)
Tomse (developer)
2011-08-14 11:57

fixed in git: b712c48
svn: 7255.
User avatar (0004229)
ivan (administrator)
2011-08-14 14:07

The current fix isn't suitable for all users, the line terminator should use the new configuration option introduced in 3.90
User avatar (0004230)
Tomse (developer)
2011-08-14 14:52

a new constant has been made for this in SVN: 7256
User avatar (0004248)
Tomse (developer)
2011-08-21 11:17

fixed in GIT : 6271c72
made it configurable

- Issue History
Date Modified Username Field Change
2011-08-02 13:58 dipohl New Issue
2011-08-06 11:21 ivan Note Added: 0004139
2011-08-13 19:35 paulh Note Added: 0004222
2011-08-13 19:35 paulh Status new => feedback
2011-08-14 11:06 dipohl Note Added: 0004225
2011-08-14 11:06 dipohl Status feedback => new
2011-08-14 11:13 dipohl File Added: sit-debug.log
2011-08-14 11:13 dipohl File Added: sourcecode-mail.txt
2011-08-14 11:24 paulh Note Added: 0004226
2011-08-14 11:42 dipohl Note Added: 0004227
2011-08-14 11:55 Tomse Assigned To => Tomse
2011-08-14 11:55 Tomse Status new => assigned
2011-08-14 11:57 Tomse Note Added: 0004228
2011-08-14 11:57 Tomse Status assigned => resolved
2011-08-14 11:57 Tomse Fixed in Version => Current SVN
2011-08-14 11:57 Tomse Resolution open => fixed
2011-08-14 11:58 Tomse Status resolved => feedback
2011-08-14 11:58 Tomse Resolution fixed => reopened
2011-08-14 11:58 Tomse Target Version => 3.65 LTS
2011-08-14 11:58 Tomse Status feedback => resolved
2011-08-14 11:58 Tomse Resolution reopened => fixed
2011-08-14 14:07 ivan Note Added: 0004229
2011-08-14 14:07 ivan Status resolved => confirmed
2011-08-14 14:52 Tomse Note Added: 0004230
2011-08-14 14:53 Tomse Target Version 3.65 LTS => 3.90beta1
2011-08-21 11:17 Tomse Note Added: 0004248
2011-08-21 11:17 Tomse Status confirmed => resolved
2011-08-21 11:17 Tomse Fixed in Version Current SVN => Current GIT


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker